<?php  
  session_start();  
   
  //echo "esta es la sesion identifica .." . session_id();  
  //echo '<br>';
?>
<!DOCTYPE html>

<?php
 //PARA VERIFICAR SI EL PHP CONTIENE EL ENCRIPTADOR BLOWFISH
  /*if(defined("CRYPT_BLOWFISH") && CRYPT_BLOWFISH) {
    echo "Wiii, tengo CRYPT_BLOWFISH!";
  }*/
  
 
  //FUNCION QUE ENCRIPTA UN VALOR
  function crypt_blowfish_bydinvaders($password, $digito = 7) {
   $set_salt = './1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
   $salt = sprintf('$2a$%02d$', $digito);
   for($i = 0; $i < 22; $i++)
   {
      $salt .= $set_salt[mt_rand(0, 22)];
   }
   return crypt($password, $salt);
  }

  /*

  //VARIABLE DONDE EL USUARIO INGRESA LA CLAVE
  $password = crypt_blowfish_bydinvaders('telefono2627700'); ///asi se crea
 
  $passwordenBD = $password;
  echo '<br>';
  echo "la clave.-." . $password;
  
  //FORMA DE LEER Y VALIDAR LA CLAVE INGRESADA CON LA BD
  if( crypt('telefono2627700', $passwordenBD) == $passwordenBD) {
   //echo '<br>';
   //echo 'Es igual';
  }
  */
 //FIN FUNCION DE ENCRIPCION

 $s_email     = $_POST['nombre'];
 $s_password  = $_POST['clave'];

 include ("conexionOdo.php");
 
 //VERIFICA EXISTENCIA EN LA TABLA DE USUARIOS
 $query  = "select claveUsuario from SIME_BAS_N_USUARIOS WHERE logUsuario='$s_email'";
 $result = mysql_query($query) or die('Consulta de usuario fallida: ' . mysql_error()); 
 $linea  = mysql_fetch_array($result, MYSQL_ASSOC);
 $s_claveUsuario = $linea['claveUsuario']; 
 $passwordenBD   = $s_claveUsuario;
 
 if($s_claveUsuario=="")
 {  
   include ("userWrong.html");
   $err = "El correo ingresado no se encuentra registrado!"; 
   $error="S";
 }
 else
 {    
   //ECHO '<BR>';
   //ECHO $s_claveUsuario;
   //if ($passwordenBD!=$pwdEncry)
   if( crypt($s_password, $passwordenBD) != $passwordenBD) 
   {
     $err = "Correo o password errados!"; 
     include ("userWrong.html");
   }
   else
   {
      // Realiza consulta de usuarios MySQL
      $query = "SELECT * FROM SIME_BAS_N_USUARIOS WHERE logUsuario LIKE  '$s_email'";
      $result = mysql_query($query) or die('Consulta fallida 1: ' . mysql_error());
      
      $cantRegistros=mysql_num_rows($result);
      global $usuarioValido;
      $usuarioValido = "X";
  
      if ($cantRegistros >0) {     
         // Imprimir los resultados en HTML
         $i=0;
         //echo "<table>\n";
         $line = mysql_fetch_array($result, MYSQL_ASSOC);
         
         $tipoId      = $line["tipoId"];
            
         $nitEmpresaW     = $line["nitEmpresa"];
         $codSedeW        = $line["codSede"];
         $codCargoW       = $line["codCargo"];
         $idUsuarioW      = $line["idUsuario"];
         //$apellidosW      = $line["apellidos"];
         $apell1UsuarioW  = $line["apell1Usuario"];
         $apell2UsuarioW  = $line["apell2Usuario"];
         $nomUsuarioW     = $line["nomUsuario"];
         $codPerfilW      = $line["codPerfil"];
         $estadoW         = $line["estado"];
           
         global $nitEmpresa, $nombreUsuario, $idUsuario, $codSede, $perfil, $workUsuario, $usuarioArch;
         $nombreUsuario  = $nomUsuarioW." ". $apell1UsuarioW." ".$apell2UsuarioW;
         $nitEmpresa     = $nitEmpresaW; 
         $codSede        = $codSedeW;
         $cargoUsuario   = $codCargoW;
         $idUsuario      = $idUsuarioW;
         $perfil         = $codPerfilW;
         $usuarioArch     = $nombre;
           
         if ($perfil =="A"){
              $cargoUsuario = "ADMINISTRADOR";      
         }
         if ($perfil =="M"){
              $cargoUsuario = "MEDICO";      
         }
         if ($perfil =="O"){
              $cargoUsuario = "ODONTOLOGO";      
         }  
         if ($perfil =="V"){
              $cargoUsuario = "BARRA ODONTOLOGIA";      
         }  
         if ($perfil =="B"){
              $cargoUsuario = "BARRA MEDICINA";      
         }
        
         
         if ($estadoW == "A")
         {
            $usuarioValido = "S";
         }
         else
         {
            $usuarioValido = "N";
         }
      }//registros>0
      else
      {
        $usuarioValido="N";  
      }

      if ($usuarioValido=='S') {
         // Realiza consulta del nombre de empresa
         $query = "SELECT * FROM SIME_BAS_EMPRESAS WHERE nitEmpresa = '$nitEmpresaW'";
         $result = mysql_query($query) or die('Consulta fallida 2: ' . mysql_error());
         $cantRegistros=mysql_num_rows($result);
   
         if ($cantRegistros>0) {  
            global $empresaUsuario;
      
            while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) { 
                $empresaUsuario     = $line["nomEmpresa"];
            }//while
         }//if empresa   
  
         //inicia sesion de variables para control de acceso
          $_SESSION['acceso']         = 1; 
          $_SESSION['nitEmpresa']     = $nitEmpresaW;
          $_SESSION['codSede']        = $codSedeW;
          $_SESSION['nombreUsuario']  = $nombreUsuario;
          $_SESSION['empresaUsuario'] = $empresaUsuario;
          $_SESSION['cargoUsuario']   = $cargoUsuario;
          $_SESSION['tipoId']         = $tipoId;
          $_SESSION['idUsuario']      = $idUsuario;
          $_SESSION['perfil']         = $perfil;
          $_SESSION['nomLogUsu']      = $s_email;
    
          $workUsuario    =  "Usuario: " . $nombreUsuario . "  Empresa: " . $empresaUsuario ." Perfil:   ". $cargoUsuario;
          //include ("menuOpciones.php");
          include ("userOk.php");
          //header("Location:userOk.html"); 
    
      }else{
           //echo "NO EXISTE EL USUARIO"; 
           include ("userWrong.html");
           //header("Location:userWrong.html");
      }

      // Liberar resultados
      mysql_free_result($result);

      // Cerrar la conexion
      mysql_close($link);
   }//ELSE
 }  
   
 